org.apache.commons.collections4.set

## Class UnmodifiableSortedSet<E>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.set.AbstractSetDecorator<E>
    - - org.apache.commons.collections4.set.AbstractSortedSetDecorator<E>
      - - org.apache.commons.collections4.set.UnmodifiableSortedSet<E>

- Type Parameters:
    `E` - the type of the elements in this set
  All Implemented Interfaces:
    Serializable, Iterable<E>, Collection<E>, Set<E>, SortedSet<E>, Unmodifiable

      public final class UnmodifiableSortedSet<E>
      extends AbstractSortedSetDecorator<E>
      implements Unmodifiable

  Decorates another `SortedSet` to ensure it can't be altered.

  This class is Serializable from Commons Collections 3.1.

  Attempts to modify it will result in an UnsupportedOperationException.

  Since:
    3.0
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(E object)`
    `boolean` | `addAll(Collection<? extends E> coll)`
    `void` | `clear()`
    `SortedSet<E>` | `headSet(E toElement)`
    `Iterator<E>` | `iterator()`
    `boolean` | `remove(Object object)`
    `boolean` | `removeAll(Collection<?> coll)`
    `boolean` | `retainAll(Collection<?> coll)`
    `SortedSet<E>` | `subSet(E fromElement, E toElement)`
    `SortedSet<E>` | `tailSet(E fromElement)`
    `static <E> SortedSet<E>` | `unmodifiableSortedSet(SortedSet<E> set)` Factory method to create an unmodifiable set.

    - ### Methods inherited from class org.apache.commons.collections4.set.AbstractSortedSetDecorator

      `comparator, decorated, first, last`

    - ### Methods inherited from class org.apache.commons.collections4.set.AbstractSetDecorator

      `equals, hashCode`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `contains, containsAll, isEmpty, setCollection, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.SortedSet

      `spliterator`

    - ### Methods inherited from interface java.util.Set

      `contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### unmodifiableSortedSet

          public static <E> SortedSet<E> unmodifiableSortedSet(SortedSet<E> set)

      Factory method to create an unmodifiable set.
      Type Parameters:
        `E` - the element type
      Parameters:
        `set` - the set to decorate, must not be null
      Returns:
        a new unmodifiable `SortedSet`
      Throws:
        `NullPointerException` - if set is null
      Since:
        4.0

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`
      Specified by:
        `iterator` in interface `Collection<E>`
      Specified by:
        `iterator` in interface `Set<E>`
      Overrides:
        `iterator` in class `AbstractCollectionDecorator<E>`

    - #### add

          public boolean add(E object)

      Specified by:
        `add` in interface `Collection<E>`
      Specified by:
        `add` in interface `Set<E>`
      Overrides:
        `add` in class `AbstractCollectionDecorator<E>`

    - #### addAll

          public boolean addAll(Collection<? extends E> coll)

      Specified by:
        `addAll` in interface `Collection<E>`
      Specified by:
        `addAll` in interface `Set<E>`
      Overrides:
        `addAll` in class `AbstractCollectionDecorator<E>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<E>`
      Specified by:
        `clear` in interface `Set<E>`
      Overrides:
        `clear` in class `AbstractCollectionDecorator<E>`

    - #### remove

          public boolean remove(Object object)

      Specified by:
        `remove` in interface `Collection<E>`
      Specified by:
        `remove` in interface `Set<E>`
      Overrides:
        `remove` in class `AbstractCollectionDecorator<E>`

    - #### removeAll

          public boolean removeAll(Collection<?> coll)

      Specified by:
        `removeAll` in interface `Collection<E>`
      Specified by:
        `removeAll` in interface `Set<E>`
      Overrides:
        `removeAll` in class `AbstractCollectionDecorator<E>`

    - #### retainAll

          public boolean retainAll(Collection<?> coll)

      Specified by:
        `retainAll` in interface `Collection<E>`
      Specified by:
        `retainAll` in interface `Set<E>`
      Overrides:
        `retainAll` in class `AbstractCollectionDecorator<E>`

    - #### subSet

          public SortedSet<E> subSet(E fromElement,
                                     E toElement)

      Specified by:
        `subSet` in interface `SortedSet<E>`
      Overrides:
        `subSet` in class `AbstractSortedSetDecorator<E>`

    - #### headSet

          public SortedSet<E> headSet(E toElement)

      Specified by:
        `headSet` in interface `SortedSet<E>`
      Overrides:
        `headSet` in class `AbstractSortedSetDecorator<E>`

    - #### tailSet

          public SortedSet<E> tailSet(E fromElement)

      Specified by:
        `tailSet` in interface `SortedSet<E>`
      Overrides:
        `tailSet` in class `AbstractSortedSetDecorator<E>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.